## 工程创建

### 1.1创建项目

<img src="pictures/图片1.png" style="zoom:25%;" />

1. 创建新项目
2. 创建空项目
3. 添加源文件
   1. ![](pictures/图片2.png)

### 1.2加载/卸载项目

临时禁用某个项目

1. 卸载项目
   * 右键目标项目---卸载项目
2. 重新加载项目
   * 右键已卸载的项目 --重新加载项目
3. 移除项目
   * 同上

![](pictures\图片3.png)

### 1.3设置启动项

* 右键目标项目--设为启动项目

### 1.4 添加项目

### 1.5 创建/打开文件

### 1.6 包括/排除项目

上述操作均可通过右键目标文件---选择目标操作

## 工程配置

### 2.1解决方案配置

1. 生成---->配置管理器

![](pictures\图片4.png)

2. 平台配置

3. 项目类型配置

* 右键项目---属性

![](pictures\图片5.png)

### 2.2 路径配置

· 输出路径配置
· 头文件路径配置
· 源文件路径配置
· 库文件路径配置

* 右键项目----属性---常规----输出目录
* 项目属性 --C/C++---- 常规 ---- 附加包含目录



### 2.3 宏定义

编译前预处理文本替换

* 全局配置

> 项目属性 → C/C++ → 预处理器 → 预处理器定义

- 运行库配置

> 项目属性 → C/C++ → 代码生成 → 运行库
>
> ![](pictures\图片6.png)

- 调用库配置

| 库类型 | 拓展名    | 配置                                                |
| ------ | --------- | --------------------------------------------------- |
| 静态库 | .lib      | 链接器 → 输入 → 附加依赖项                          |
| 动态库 | .dll+.lib | 附加依赖项 (导入库) <br />DLL文件放入输出目录       |
| 头文件 |           | C/C++ → 常规 → 附加包含目录 → 添加 `include\` 路径  |
| 链接器 |           | 链接器 → 常规 → 附加库目录 → 添加 `lib\x64\` 等路径 |

- 安全检查

1. 编译器检查
2. 链接器检查

## 工程调试

### 3.1 断点

* 创建，删除，禁用，启用

> 右键断点图标进行操作

* 条件断点

![](pictures\图片8.png)

通过断点进行调试

![启用断点单步运行调试](pictures\图片7.png)

### 3.2窗口

* 监视窗口
* 内存窗口
* 线程窗口
* 调用堆栈窗口

![](pictures\图片10.png)

### 3.3 单步调试

* 全速运行
* 重新运行
* 逐过程
* 逐语句

![](pictures\图片9.png)